Redmine - Defect #2133

CVS comments in utf8 get truncated
2008-11-05 11:53 - Leszek Ciesielski

Status: Closed

Priority: Normal

Assignee: Toshi MARUYAMA
Category: SCM

Target version:

Resolution:

Start date:
Due date:
% Done:

Estimated time:

Affected version:

0%
0.00 hour

Description

Checked with cvs 1.0.14 (I know it's not supported) and 1.12.10, recent mysql (5.0.60-r1 and others), redmine 0.7.3 and redmine svn
#1977 , repository encoding not set or set to utf8. My cvs project has comments encoded in utf8 (eclipse, cvs console and wincvs
display them properly). On importing the changesets to redmine, comments get truncated on first non-ascii character (usually polish
or 0 ). There is no error or warning in logs. This is not a display problems - the records in the database are truncated.

Related issues:

Related to Redmine - Defect #2890: CVS fetch changesets for latin1 charset

Closed

2009-03-03

History

#1 - 2008-11-10 21:01 - Karl Heinz Marbaise
- Category set to SCM
- Start date deleted (2008-11-05)

#2 - 2011-03-01 07:09 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

#3 - 2011-03-01 11:35 - Toshi MARUYAMA

- Status changed from New to Closed

| added feature #1735 until r4983.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1
https://www.redmine.org/issues/1977
https://www.redmine.org/issues/1735
https://www.redmine.org/projects/redmine/repository/svn/revisions/4983
http://www.tcpdf.org

